Subject: AW: Tar Problems Under Cygwin
From: "Morche Matthias" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 21 Aug 2002 16:25:13 +0200

f:filename is interpreted as a remote file to be accessed via rmt on a host named f.
try /cygdrive/f/filename instead :-)

  regards matthias

-----Ursprüngliche Nachricht-----
Von: Anthony Massa [mailto:[email-masked]]
Gesendet: Mittwoch, 21. August 2002 16:16
An: [email-masked]
Betreff: Tar Problems Under Cygwin

I wanted to see if I could get some help using tar.

First I changed to the root of the directory tree I wanted to zip up.  I
created a zip file under the bash shell version 2.05.0(8)-release using the
command:

$ tar cf - DIR_TO_ZIP | bzip2 -9 > files.tar.bz2

This file was then placed on a CD-ROM.  When I tried to un-tar the file
using the command:

$ tar xjvf f:/i386rdwr.tar.bz2

I get the following output error message:

f: unknown host
tar (child): f\:/i386rdwr.tar.bz2: Cannot open: I/O error
tar (child): Error is not recoverable: exiting now

bzip2: Compressed file ends unexpectedly;
        perhaps it is corrupted?  *Possible* reason follows.
bzip2: error 0
        Input file = (stdin), output file = (stdout)

It is possible that the compressed file(s) have become corrupted.
You can use the -tvv option to test integrity of such files.

You can use the `bzip2recover' program to *attempt* to recover
data from undamaged sections of corrupted files.

tar: Child returned status 2
tar: Error exit delayed from previous errors

I have the following mounts on my system:

$ mount
E:\cygwin\bin on /usr/bin type system (textmode)
E:\cygwin\lib on /usr/lib type system (textmode)
e:\cygwin\tmp on /tmp type user (binmode)
E:\cygwin on / type system (textmode)
\\.\a: on /dev/fd0 type user (binmode)
e: on /ecos-e type user (textmode)
u: on /ecos-u type user (textmode)
c: on /cygdrive/c type user (textmode,noumount)
d: on /cygdrive/d type user (textmode,noumount)
f: on /cygdrive/f type user (textmode,noumount)
g: on /cygdrive/g type user (textmode,noumount)
h: on /cygdrive/h type user (textmode,noumount)
i: on /cygdrive/i type user (textmode,noumount)

I'm curious why I cannot simply refer to my CD-ROM drive using F:/ when I
un-tar the file.  How do I need to unzip the file from the CD-ROM drive.

Thanks.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/